import { Component, OnInit } from '@angular/core';
import { LANG } from './translate.component';
import { HeaderService } from '../service/header.service';
import { AppService } from '../service/app.service';
import { environment } from '../environments/environment';

@Component({
    templateUrl: 'about-us.component.html',
    styleUrls: ['about-us.component.css'],
    providers: [AppService]
})
export class AboutUsComponent implements OnInit {

    applicationVersion: string;
    lang: any = LANG;

    loading: boolean = false;

    constructor(
        private headerService: HeaderService,
        public appService: AppService) { }

    ngOnInit(): void {
        this.headerService.setHeader(this.lang.aboutUs);

        this.applicationVersion = environment.VERSION;
        this.loading = false;
    }
}
